<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE web-app PUBLIC
          "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
          "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>
  <context-param>
    <param-name>cssj.host</param-name>
    <param-value>localhost</param-value>
  </context-param>
  <context-param>
    <param-name>cssj.port</param-name>
    <param-value>8099</param-value>
  </context-param>
  <context-param>
    <param-name>cssj.password</param-name>
    <param-value>secret</param-value>
  </context-param>

  <!-- CSSJ Servlet -->
  <servlet>
    <servlet-name>cssj-servlet</servlet-name>
    <servlet-class>jp.cssj.cti.servlet.CSSJServlet</servlet-class>
    <init-param>
      <param-name>resources</param-name>
      <param-value>/skin.css</param-value>
    </init-param>
    <init-param>
      <param-name>prop.output.pdf.bookmarks</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>prop.output.pdf.hyperlinks</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>main</param-name>
      <param-value>/index.jsp</param-value>
    </init-param>
  </servlet>

  <!-- CSSJ Filter -->
  <filter>
    <filter-name>cssj-filter</filter-name>
    <filter-class>jp.cssj.cti.servlet.CSSJFilter</filter-class>
    <init-param>
      <param-name>resources</param-name>
      <param-value>/resources/skin.css</param-value>
    </init-param>
    <init-param>
      <param-name>prop.output.pdf.bookmarks</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>prop.output.pdf.hyperlinks</param-name>
      <param-value>true</param-value>
    </init-param>
  </filter>

  <!-- Access Control -->
  <filter>
    <filter-name>access-filter</filter-name>
    <filter-class>jp.cssj.cti.servlet.AccessFilter</filter-class>
  </filter>


  <!-- URL space mappings ============================================= -->

  <!-- CSSJ Servlet Mapping -->
  <servlet-mapping>
    <servlet-name>cssj-servlet</servlet-name>
    <url-pattern>/index.pdf</url-pattern>
  </servlet-mapping>

  <!-- CSSJ Filter Mapping -->
  <filter-mapping>
    <filter-name>cssj-filter</filter-name>
    <url-pattern>/filter/*</url-pattern>
  </filter-mapping>
  <filter-mapping>
    <filter-name>access-filter</filter-name>
    <url-pattern>/resources/*</url-pattern>
  </filter-mapping>

  <welcome-file-list>
    <welcome-file>index.pdf</welcome-file>
  </welcome-file-list>
  
</web-app>
